/**
 * Created by n0m4dz on 2/6/17.
 */
import Vue from "vue";
import axios from 'axios';
import {i18n} from '@lambda-platform/locale';
import router from './router';
import App from './app.vue';
import {store} from './store/store'
window.axios = axios;
Vue.prototype.$init = window.init
Vue.prototype.$user = window.init.user;
axios.interceptors.request.use(function (config) {
    config.headers['X-CSRF-TOKEN'] = document.querySelector('meta[name="csrf-token"]').getAttribute('content');
    return config;
});
new Vue({
    router,
    i18n,
    store,
    render: h => h(App),
}).$mount('#puzzle');
